package com.ruoyi.system.domain;

import com.ruoyi.system.domain.vo.BaiduIdCard.CardQuality;
import com.ruoyi.system.domain.vo.BaiduIdCard.WordsResult;

import java.util.Map;


// 用于接受baidu返回来的身份证解析数据。
public class BaiduIdCard {
    private Long log_id;
    private Map<String, WordsResult> words_result;
//    private int direction;
    private String image_status;
    private String card_ps;
    private String risk_type;
    private CardQuality card_quality;
//    private String photo;
    private int idcard_number_type;

    public Long getLog_id() {return log_id;}
    public void setLog_id(Long log_id) {this.log_id = log_id;}

    public Map<String, WordsResult> getWords_result() {return words_result;}
    public void setWords_result(Map<String, WordsResult> words_result) {this.words_result = words_result;}

    public String getImage_status() {return image_status;}
    public void setImage_status(String image_status) {this.image_status = image_status;}

    public String getCard_ps() {return card_ps;}
    public void setCard_ps(String card_ps) {this.card_ps = card_ps;}

    public String getRisk_type() {return risk_type;}
    public void setRisk_type(String risk_type) {this.risk_type = risk_type;}

    public CardQuality getCard_quality() {return card_quality;}
    public void setCard_quality(CardQuality card_quality) {this.card_quality = card_quality;}

    public int getIdcard_number_type() {return idcard_number_type;}
    public void setIdcard_number_type(int idcard_number_type) {this.idcard_number_type = idcard_number_type;}

}
